import { DefaultEvent } from "./types";
/**
 * One execution task
 */
export declare class ActionTask {
    /**
     * The event issued
     */
    private _event;
    /**
      * Finished promise
      */
    private _completeFuture;
    /**
      * Accepted promise
      */
    private _accpetFuture;
    constructor(event: DefaultEvent, accpetFuture: Promise<boolean>, completeFuture: Promise<boolean>);
    /**
     * @returns the event accept promise
     */
    accepted(): Promise<boolean>;
    /**
     * @returns the event finish promise
     */
    finished(): Promise<boolean>;
    get event(): DefaultEvent;
}
